Bug 9073 (int-157209)

Summary: callerid displays as "Unknown number" even though it is received by the N900
Product: [Maemo Official Platform] Telephony Reporter: Tom <tom-osbug>
Component: GeneralAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: telephony-general-bugs
Severity: normal    
Priority: Low CC: andre_klapper, felipelerena
Version: 5.0/(3.2010.02-8)   
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: N900   
OS: Maemo   

Description Tom (reporter) 2010-02-16 10:23:53 UTC
SOFTWARE VERSION:
(Settings > General > About product)
Version: 2.2009.51-1.002

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Call the N900 from a my land line (VoIP provider)
2. 
3. 

EXPECTED OUTCOME:
The caller number is displayed by the Phone App

ACTUAL OUTCOME:
The Phone App shows "Unknown number" 

REPRODUCIBILITY: (always, less than 1/10, 5/10, 9/10)
Always

EXTRA SOFTWARE INSTALLED: not applicable

OTHER COMMENTS:
The callerid shows up properly on other POTS, Cellular and VoIP phones that I
have tested with my land line.

I tried the following to see if the phone was receiving any caller id info:
1. Run pnatd
2. Enabled Calling Line Identification Presentation (at+clip)
3. Called the N900

Nokia-N900-41-11:~# pnatd
at+clip=1
OK
at+clip?
+CLIP: 1,1

OK

RING

+CLIP: "1234567890",128

RING

+CLIP: "1234567890",128

RING

+CLIP: "1234567890",128

-----

I obfuscated the phone number but I do see the correct number.  The type field
does seem odd, type of number and numbering plan identification both decode to
unknown.  Most other numbers show up with type 161.  I don't know if this is
the same information the the Phone application gets; but if it is, should this
cause the received digits to be ignored and "Unknown number" displayed?


User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.7)
Gecko/20091222 SUSE/3.5.7-1.1.1 Firefox/3.5.7
Comment 1 Andre Klapper maemo.org 2010-02-16 15:39:23 UTC
Hi tom-osbug, thanks for reporting this and also analyzing! :)

I assume that the number is not displayed in the "Recent calls" view either
(just to make sure that this is not a UI bug)?

How many digits does the phone number have? Ten digits and no country code, as
in "1234567890"?
Comment 2 Andre Klapper maemo.org 2010-02-16 15:40:34 UTC
...plus you can call that landline number from the N900 without problems?
(Having bug 6769 in mind)
Comment 3 Tom (reporter) 2010-02-16 18:59:36 UTC
(In reply to comment #1)
> I assume that the number is not displayed in the "Recent calls" view either
> (just to make sure that this is not a UI bug)?
> 
"Recent calls" also displays as "Unknown number".  If I click on the entry in
the "Recent calls" it pops up a yellow message banner saying "call not allowed"

> How many digits does the phone number have? Ten digits and no country code, as
> in "1234567890"?
> 
Yes, it is a ten digit number with out country code.

(In reply to comment #2)
> ...plus you can call that landline number from the N900 without problems?
> (Having bug 6769 in mind)
>
Yes, I can call the landline from the N900 without any problems.  Callerid
shows up on the lineline correctly.
Comment 4 Andre Klapper maemo.org 2010-02-16 20:58:48 UTC
Okay, last question (at least for today): Can you tell the VoIP landline
provider name, please?
Comment 5 Tom (reporter) 2010-02-16 22:15:01 UTC
(In reply to comment #4)
> Okay, last question (at least for today): Can you tell the VoIP landline
> provider name, please?
> 
Sure, I'm getting a VoIP DID and termination from voicenetwork.ca
My current cellular provider is windmobile.ca
Comment 6 Tom (reporter) 2010-02-20 01:18:17 UTC
Installed new firmware: 3.2010.02-8.002

Still having the same problem.
Comment 7 Andre Klapper maemo.org 2010-02-23 22:28:55 UTC
This has been fixed in package
libcscall 0.8.3.5+0m5
which is part of the internal build version
10.2010.05-6
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 8 Andre Klapper maemo.org 2010-03-15 20:57:04 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 9 Felipe Lerena 2010-06-28 17:44:20 UTC
This is still happening to me even after updating to 10.2010.19-1
Comment 10 Andre Klapper maemo.org 2010-06-28 18:16:46 UTC
Felipe:
Please file a new bug report with exact steps. Thanks!
Comment 11 Felipe Lerena 2010-06-28 18:28:07 UTC
Andre, it is the same bug and steps are the same.
I Call the N900 from any line and I get an unknown caller. the SMS come with
the number ok.
Do I need to report a new bug even if it's exactly the same problem?
Comment 12 Andre Klapper maemo.org 2010-06-28 18:30:51 UTC
(In reply to comment #11)
> Andre, it is the same bug and steps are the same.
> I Call the N900 from any line and I get an unknown caller. the SMS come with
> the number ok.
> Do I need to report a new bug even if it's exactly the same problem?

Yes, please. Plus *exact* steps from the beginning (plus number of digits,
provider, etc). This was still way too vague...
Comment 13 Felipe Lerena 2010-06-28 18:47:00 UTC
Andre,
I reported it in https://bugs.maemo.org/show_bug.cgi?id=10817